/**
 * XParticipationPrfEntVrf.java
 *
 * File generated from the medication::XParticipationPrfEntVrf uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XParticipationPrfEntVrf.
 *
 * 
 */

@XmlType(name = "XParticipationPrfEntVrf")
@XmlEnum
@XmlRootElement(name = "XParticipationPrfEntVrf")
public enum XParticipationPrfEntVrf {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("VRF")
	VRF("VRF"),
	@XmlEnumValue("ENT")
	ENT("ENT");
	
	private final String value;

    XParticipationPrfEntVrf(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XParticipationPrfEntVrf fromValue(String v) {
        for (XParticipationPrfEntVrf c: XParticipationPrfEntVrf.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}